/**

Este  o programa CLIENTE que envia pacotes (datagramas) UDP para
o servidor.

*/


import java.io.*;
import java.net.*;
import java.util.*;

public class QuoteClient {
    public static void main(String[] args) throws IOException {

        if (args.length != 1) {
             System.out.println("Uso: java QuoteClient <hostname>");
             return;
        }

        // Cria um socket do tipo datagrama (UDP)
        DatagramSocket socket = new DatagramSocket();

        // Cria o buffer
        byte[] buf = new byte[256];
	// Pega o IP do servidor !!!!!!
        InetAddress address = InetAddress.getByName(args[0]);
	// Cria um pacote j com bind (IP e porta) para o Servidor
        DatagramPacket packet = new DatagramPacket(buf, buf.length, address, 4445);
	// Manda o pacote
        socket.send(packet);
    
        // Se o servidor receber, ele vai pegar uma citacao e enviar.
	// o Cliente deve criar um pacote para recebe-lo)
        packet = new DatagramPacket(buf, buf.length);
	// escuta no socket e espera (BLOQUEANTE) at receber do servidor
        socket.receive(packet);

	// exibe resultado
        String received = new String(packet.getData());
        System.out.println("Citao de hoje: " + received);
    
        socket.close();
    }
}

