import java.net.*;
import java.io.*;

public class KKMultiServer {
	
	
    public final static int DEFAULT_PORT = 4444;
	
    public static void main(String[] args) throws IOException {
        ServerSocket serverSocket = null;
	
	int port = DEFAULT_PORT;
	

        if (args.length > 0) {
        try {port = Integer.parseInt(args[0]);}
        catch (NumberFormatException e) {}
        }
	
        boolean listening = true;

        try {
            serverSocket = new ServerSocket(port);
        } catch (IOException e) {
            System.err.println("Nao pude escutar na porta: "+port);
            System.exit(-1);
        }

        while (listening)
	    new KKMultiServerThread(serverSocket.accept()).start();

        serverSocket.close();
    }
}

